package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpImportMaterialVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别id")
   private Long categoryId;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("单位名称")
   private String unitName;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("含税单价")
   private String unitPrice;
   @ApiModelProperty("规格要求")
   private String size;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("税率")
   private Integer taxRate;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getUnitPrice() {
      return this.unitPrice;
   }

   public String getSize() {
      return this.size;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Integer getTaxRate() {
      return this.taxRate;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitPrice(final String unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setTaxRate(final Integer taxRate) {
      this.taxRate = taxRate;
   }

}
